import torch
import torch.nn as nn
import torch.nn.functional as F

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, x):
        y = torch.exp(x)
        z = F.normalize(y, p=2.0, dim=-1, eps=1e-12)
        return torch.log(z)

batch_size = 1024
dim = 1024

def get_inputs():
    x = torch.randn(batch_size, dim)
    return [x]

def get_init_inputs():
    return []